using System;

namespace madjionicar_kvalifikacije2._1
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] str = Console.ReadLine().Split();
            int n = int.Parse(str[0]);
            int k = int.Parse(str[1]);
            str = Console.ReadLine().Split();
            if (int.Parse(str[n - 1]) == k) Console.WriteLine(str[0]);
            else
            {
                for (int i = 0; i < n; i++)
                {
                    if (int.Parse(str[i]) == k) { Console.WriteLine(str[i + 1]); break; }
                }
            }
        }
    }
}